Solve
Listar eventos de um ticket Solve
Retorna a página de eventos do ciclo de vida de um ticket. O campo detail é sanitizado para omitir evidência de host e meta interna; message e diagnosis/handoff continuam disponíveis.
GET
/
v2
/
organizations
/
{organization_id}
/
solve
/
tickets
/
{ticket_id}
/
events
Listar eventos de um ticket Solve
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "<string>",
"event_id": "<string>",
"organization_id": "<string>",
"ticket_id": "<string>",
"type": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"level": "<string>",
"message": "<string>",
"source": "<string>",
"run_id": "<string>",
"workspace_id": "<string>",
"seq": 123,
"kind": "<string>",
"status": "<string>",
"outcome": "<string>",
"detail": "<string>",
"lifecycle_type": "<string>",
"recorded_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
Identificador da organização.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identificador composto do ticket Solve (itsm_type:organization_id:external_id).
Required string length:
1 - 512Parâmetros de consulta
Número da página.
Intervalo obrigatório:
x >= 1Número de elementos por página.
Intervalo obrigatório:
1 <= x <= 100FilterNode JSON (nível, tipo, fonte, espécie, mensagem, occurred_at, run_id).
Maximum string length:
5120Por padrão occurred_at:desc.
⌘I
Listar eventos de um ticket Solve
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/solve/tickets/{ticket_id}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"id": "<string>",
"event_id": "<string>",
"organization_id": "<string>",
"ticket_id": "<string>",
"type": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"level": "<string>",
"message": "<string>",
"source": "<string>",
"run_id": "<string>",
"workspace_id": "<string>",
"seq": 123,
"kind": "<string>",
"status": "<string>",
"outcome": "<string>",
"detail": "<string>",
"lifecycle_type": "<string>",
"recorded_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}